Connect to an existing instance and return the tokens and domain information required for data-plane access. Compatible with the E2B connect protocol and corresponds to connect() in the SDK.
Prerequisites
Configure the endpoint and authentication first. See API overview and authentication.
Endpoint
POST /sandboxes/{sandboxID}/connect
Connect to an existing instance and return the tokens and domain information required for data-plane access. Compatible with the E2B connect protocol and corresponds to connect() in the SDK.
Path parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
sandboxID | Yes | string | Unique instance ID. |
Request body
The request body is optional.
| Field | Required | Type | Description |
|---|---|---|---|
timeout | No | integer | Instance timeout after connecting, in seconds. Valid range: [300,604800]. |
Request example
BASE_URL is https://{workspace_id}.cn-beijing.maas.aliyuncs.com/api/v1/agentstudio/sandbox, and BAILIAN_API_KEY is your Alibaba Cloud Model Studio API key.
Response example
Response fields
| Field | Type | Description |
|---|---|---|
sandboxID | string | Unique instance ID. |
templateID | string | Template ID. |
envdVersion | string | envd version. |
domain | string | Data-plane access domain. |
envdAccessToken | string | envd access token. |
trafficAccessToken | string | Traffic access token. |
envdUrl | string | envd access URL. |
state | string | Instance state, for example running. |